CDH 4.1.5

Cloudera’s 100% Open Source Hadoop Platform

What's New in CDH4.1.5


This is a maintenance release that fixes a security issue, as well as a number of issues including the following.

  • Hadoop Common
    • HADOOP-9439 - JniBasedUnixGroupsMapping: fix some crash bugs
    • HADOOP-8151 - Error handling in snappy decompressor throws invalid exceptions
  • HDFS
    • HDFS-4799 - Corrupt replica can be prematurely removed from corruptReplicas map
    • HDFS-4621 - Additional logging to help diagnose slow QJM logSync
  • Oozie
    • OOZIE-1377 - OpenJPA runtime enhancement should be disabled and update OpenJPA to 2.2.2
    • OOZIE-1440 - Build fails in certain environments due to xerces OpenJPA issue

CDH4.1.5 Documentation

The following guides describe how to install, configure, and secure CDH4.

  • CDH4.1.5 Release Notes
  • CDH4 Requirements and Supported Versions
  • CDH4 Quick Start Guide
  • CDH4 Installation Guide
  • CDH4 High Availability Guide
  • CDH4 Security Guide
  • Hue 2 User Guide

CDH 4.x Requirements and Supported Versions

Supported Operating Systems

CDH4 provides packages for Red-Hat-compatible, SLES, Ubuntu, and Debian systems as described below.

Operating System

Version

Packages

Red Hat compatible



Red Hat Enterprise Linux (RHEL)

5.7

64-bit


6.2

64-bit, 32-bit

6.4

64-bit

CentOS

5.7

64-bit


6.2

64-bit, 32-bit


6.4

64-bit

Oracle Linux with Unbreakable Enterprise Kernel

5.6

64-bit

6.4

64-bit

SLES



SLES Linux Enterprise Server (SLES)

11 with Service Pack 1 or later

64-bit

Ubuntu/Debian



Ubuntu

Lucid (10.04) - Long-Term Support (LTS)

64-bit


Precise (12.04) - Long-Term Support (LTS)

64-bit

Debian

Squeeze (6.0.3)

64-bit

  Note:
  • For production environments, 64-bit packages are recommended. Except as noted above, CDH4 provides only 64-bit packages.
  • Cloudera has received reports that our RPMs work well on Fedora, but we have not tested this.
  • If you are using an operating system that is not supported by Cloudera's packages, you can also download source tarballs from Downloads.

Supported Databases

Supported JDK versions

Supported Internet Protocol